package ink.wgink.pojo.result;

import java.util.List;

/**
 * @ClassName: SuccessResultFormList
 * @Description: 表单分页列表
 * @Author: wanggeng
 * @Date: 2022/4/14 22:19
 * @Version: 1.0
 */
public class SuccessResultFormList<T> extends SuccessResultList {

    public SuccessResultFormList() {
        super();
    }

    public SuccessResultFormList(List<String> fields, T rows, Integer page, Long total) {
        super(rows, page, total);
        this.fields = fields;
    }

    private List<String> fields;

    public List<String> getFields() {
        return fields;
    }

    public void setFields(List<String> fields) {
        this.fields = fields;
    }
}
